Package ej.microui.display

## Enum Format

- java.lang.Object
- - java.lang.Enum<Format>
  - - ej.microui.display.Format

- All Implemented Interfaces:
    `Serializable`, `Comparable<Format>`

      public enum Format
      extends Enum<Format>

  Contains all the available buffer formats.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `A1` | A1 format.
    `A2` | A2 format.
    `A4` | A4 format.
    `A8` | A8 format.
    `AC11` | AC11 format.
    `AC22` | AC22 format.
    `AC44` | AC44 format.
    `ARGB1555` | ARGB1555 format.
    `ARGB1555_PRE` | ARGB1555 pre-multiplied format (each color component is multiplied by the opacity).
    `ARGB4444` | ARGB4444 format.
    `ARGB4444_PRE` | ARGB4444 pre-multiplied format (each color component is multiplied by the opacity).
    `ARGB8888` | ARGB8888 format.
    `ARGB8888_PRE` | ARGB8888 pre-multiplied format (each color component is multiplied by the opacity).
    `C1` | C1 format.
    `C2` | C2 format.
    `C4` | C4 format.
    `CUSTOM_0` | Custom format 0.
    `CUSTOM_1` | Custom format 1.
    `CUSTOM_2` | Custom format 2.
    `CUSTOM_3` | Custom format 3.
    `CUSTOM_4` | Custom format 4.
    `CUSTOM_5` | Custom format 5.
    `CUSTOM_6` | Custom format 6.
    `CUSTOM_7` | Custom format 7.
    `DISPLAY` | Same format as the display.
    `RGB565` | RGB565 format.
    `RGB888` | RGB888 format.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Format` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Format[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISPLAY

          public static final Format DISPLAY

      Same format as the display.

      It can be an alias for one of the other formats if the display uses a standard format. Otherwise, it represents the display custom format.

      Useful to create a buffered image with the same format as the display for instance.

    - #### ARGB8888

          public static final Format ARGB8888

      ARGB8888 format.

    - #### ARGB4444

          public static final Format ARGB4444

      ARGB4444 format.

    - #### ARGB1555

          public static final Format ARGB1555

      ARGB1555 format.

    - #### ARGB8888_PRE

          public static final Format ARGB8888_PRE

      ARGB8888 pre-multiplied format (each color component is multiplied by the opacity).

    - #### ARGB4444_PRE

          public static final Format ARGB4444_PRE

      ARGB4444 pre-multiplied format (each color component is multiplied by the opacity).

    - #### ARGB1555_PRE

          public static final Format ARGB1555_PRE

      ARGB1555 pre-multiplied format (each color component is multiplied by the opacity).

    - #### RGB888

          public static final Format RGB888

      RGB888 format.

    - #### RGB565

          public static final Format RGB565

      RGB565 format.

    - #### A8

          public static final Format A8

      A8 format.

    - #### A4

          public static final Format A4

      A4 format.

    - #### A2

          public static final Format A2

      A2 format.

    - #### A1

          public static final Format A1

      A1 format.

    - #### C4

          public static final Format C4

      C4 format.

    - #### C2

          public static final Format C2

      C2 format.

    - #### C1

          public static final Format C1

      C1 format.

    - #### AC44

          public static final Format AC44

      AC44 format.

    - #### AC22

          public static final Format AC22

      AC22 format.

    - #### AC11

          public static final Format AC11

      AC11 format.

    - #### CUSTOM_0

          public static final Format CUSTOM_0

      Custom format 0.

    - #### CUSTOM_1

          public static final Format CUSTOM_1

      Custom format 1.

    - #### CUSTOM_2

          public static final Format CUSTOM_2

      Custom format 2.

    - #### CUSTOM_3

          public static final Format CUSTOM_3

      Custom format 3.

    - #### CUSTOM_4

          public static final Format CUSTOM_4

      Custom format 4.

    - #### CUSTOM_5

          public static final Format CUSTOM_5

      Custom format 5.

    - #### CUSTOM_6

          public static final Format CUSTOM_6

      Custom format 6.

    - #### CUSTOM_7

          public static final Format CUSTOM_7

      Custom format 7.

  - ### Method Detail

    - #### values

          public static Format[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Format c : Format.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Format valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null